Retire Ai Playbook
import requests
url = "https://platform.ankra.app/api/v1/org/ai-playbooks/{playbook_id}/retire"
payload = { "reason": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({reason: '<string>'})
};
fetch('https://platform.ankra.app/api/v1/org/ai-playbooks/{playbook_id}/retire', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request POST \
--url https://platform.ankra.app/api/v1/org/ai-playbooks/{playbook_id}/retire \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"reason": "<string>"
}
'{
"id": "<string>",
"organisation_id": "<string>",
"cluster_id": "<string>",
"name": "<string>",
"version": 123,
"condition_kind": "<string>",
"status": "candidate",
"risk_class": "low",
"document": {},
"clean_runs": 123,
"created_by": "<string>",
"platform_template": true
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}AI Playbooks API
Retire Ai Playbook
POST
/
api
/
v1
/
org
/
ai-playbooks
/
{playbook_id}
/
retire
Retire Ai Playbook
import requests
url = "https://platform.ankra.app/api/v1/org/ai-playbooks/{playbook_id}/retire"
payload = { "reason": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({reason: '<string>'})
};
fetch('https://platform.ankra.app/api/v1/org/ai-playbooks/{playbook_id}/retire', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request POST \
--url https://platform.ankra.app/api/v1/org/ai-playbooks/{playbook_id}/retire \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"reason": "<string>"
}
'{
"id": "<string>",
"organisation_id": "<string>",
"cluster_id": "<string>",
"name": "<string>",
"version": 123,
"condition_kind": "<string>",
"status": "candidate",
"risk_class": "low",
"document": {},
"clean_runs": 123,
"created_by": "<string>",
"platform_template": true
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/json
Response
Successful Response
Available options:
candidate, approved, trusted, retired Available options:
low, medium, high